# Electricity Billers

<mark style="color:blue;">`GET`</mark> `{{base_url}}/elect-billers`

#### Headers

| Name                                            | Type        | Description                      |
| ----------------------------------------------- | ----------- | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | PUBLIC\_KEY | Set value to `Bearer PUBLIC_KEY` |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "status": true,
  "message": "Electricity Billers Retrieved",
  "lists": [
    {
      "value": "IBADAN",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/1e0bc905-5bfe-46e5-38ff-27fcb3ecac00/public",
      "disconame": "IBEDC"
    },
    {
      "value": "ABUJA",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/445aa7b8-d2e2-4aa5-1c24-a2119c309000/public",
      "disconame": "AEDC"
    },
    {
      "value": "KANO",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/070e0c60-9c1c-49ef-10a9-b3cf343dc400/public",
      "disconame": "KEDCO"
    },
    {
      "value": "IKEJA",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/cadf5fc9-4c13-45e8-a4e8-9fe8f6055400/public",
      "disconame": "IKEDC"
    },
    {
      "value": "EKO",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/69b0de99-ba9f-4283-5f45-da11f0118d00/public",
      "disconame": "EKEDC"
    },
    {
      "value": "PH",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/ebc8c430-04e5-4090-7149-7fc99177d100/public",
      "disconame": "PHEDC"
    },
    {
      "value": "ENUGU",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/a9f6119d-4bec-4a53-6f93-afb0ac4ffd00/public",
      "disconame": "EEDC"
    },
    {
      "value": "KADUNA",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/363367e2-ed4c-4911-a33b-c89708cc1a00/public",
      "disconame": "KAEDCO"
    },
    {
      "value": "JOS",
      "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/76b59a61-f396-41a5-9681-92163cef1900/public",
      "disconame": "JEDC"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location --request GET 'https://api.oneappgo.com/v1/elect-billers'
--header 'Authorization: Bearer PUBLIC_KEY'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/elect-billers',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/elect-billers',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.oneappgo.com/v1/elect-billers"

payload={}
headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}

{% tab title="Dart" %}

```dart
var headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
};
var request = http.Request('GET', Uri.parse('https://api.oneappgo.com/v1/elect-billers'));

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
    "status": true,
    "message": "Electricity Billers Retrieved",
    "lists": [
        {
            "value": "IBADAN",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/1e0bc905-5bfe-46e5-38ff-27fcb3ecac00/public",
            "disconame": "IBEDC"
        },
        {
            "value": "ABUJA",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/445aa7b8-d2e2-4aa5-1c24-a2119c309000/public",
            "disconame": "AEDC"
        },
        {
            "value": "KANO",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/070e0c60-9c1c-49ef-10a9-b3cf343dc400/public",
            "disconame": "KEDCO"
        },
        {
            "value": "IKEJA",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/cadf5fc9-4c13-45e8-a4e8-9fe8f6055400/public",
            "disconame": "IKEDC"
        },
        {
            "value": "EKO",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/69b0de99-ba9f-4283-5f45-da11f0118d00/public",
            "disconame": "EKEDC"
        },
        {
            "value": "PH",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/ebc8c430-04e5-4090-7149-7fc99177d100/public",
            "disconame": "PHEDC"
        },
        {
            "value": "ENUGU",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/a9f6119d-4bec-4a53-6f93-afb0ac4ffd00/public",
            "disconame": "EEDC"
        },
        {
            "value": "KADUNA",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/363367e2-ed4c-4911-a33b-c89708cc1a00/public",
            "disconame": "KAEDCO"
        },
        {
            "value": "JOS",
            "logo": "https://imagedelivery.net/IJzyw_ukSF-3OTlkcw9dIw/76b59a61-f396-41a5-9681-92163cef1900/public",
            "disconame": "JEDC"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/v1-1/electricity/electricity-billers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
